#!/usr/bin/perl -I/usr/sausalito/perl

$DEBUG = 0;

use lib '/usr/sausalito/perl';
use CCE;
use updateCluster;

my $cce = new CCE;
$cce->connectuds();

$networkInterfaces = updateCluster::getNetworkInterfaces($cce);

$IP_eth0 = $networkInterfaces->{'br0'};
$IP_eth1 =  $networkInterfaces->{'eth1'};
$stand_alone_raw = `cat /etc/ha.d/ha.cf |grep "^bcast lo"|wc -l`;
$stand_alone_raw =~ s/(.*)\n+$//;
$stand_alone = $1;

&updateCluster::debug_msg("Ethernet interfaces: $IP_eth0 -- $IP_eth1\n");

($clusterOid) = $cce->find('Cluster');
if (!$clusterOid) {
    if($IP_eth1) {
	&updateCluster::debug_msg("Secondary interface is configured\n");
    }
    else {
	&updateCluster::debug_msg("Secondary interface is not configured\n");
    }
    # 'Cluster' object not present. Assuming 'stand_alone' = '1':
    updateCluster::createClusterConf($cce, $IP_eth0, $IP_eth1, "1", $DEBUG);
} else {
    &updateCluster::debug_msg("Updating cluster status.\n");
    $clusterStatusArray = updateCluster::getClusterStatus($DEBUG);
    $validated = updateCluster::validateClusterStatus($clusterStatusArray, $DEBUG);
    updateCluster::updateClusterStatus($clusterStatusArray, $cce, $DEBUG);
}


$cce->bye('SUCCESS');
exit(0);

